import 'package:enterprise_validator/enterprise_validator.dart';
import 'email_rule.dart';
import 'egyptian_mobile_phone_rule.dart';

class IsEmailOrEgyptianMobileRule extends ValidationRule{
  IsEmailOrEgyptianMobileRule(String validationError) : super(validationError);

  @override
  bool check(String? value) {
    if (value == null) {
      return false;
    }
    return IsEmailAddressRule(validationError).check(value) || IsEgyptianPhoneNumber(validationError).check(value);
  }
}