import 'package:enterprise_validator/enterprise_validator.dart';
import 'email_rule.dart';
import 'saudi_phone_number_rule.dart';

class IsEmailOrSaudiMobileRule extends ValidationRule{
  IsEmailOrSaudiMobileRule(String validationError) : super(validationError);

  @override
  bool check(String? value) {
    if (value == null) {
      return false;
    }
    return IsEmailAddressRule(validationError).check(value) || IsSaudiPhoneNumber(validationError).check(value);
  }
}